org.keycloak.dom.xmlsec.w3.xmlenc

## Class CipherDataType

- java.lang.Object
- - org.keycloak.dom.xmlsec.w3.xmlenc.CipherDataType

-     public class CipherDataType
      extends Object

  Java class for CipherDataType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="CipherDataType">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <choice>
               <element name="CipherValue" type="{http://www.w3.org/2001/XMLSchema}base64Binary"/>
               <element ref="{http://www.w3.org/2001/04/xmlenc#}CipherReference"/>
             </choice>
           </restriction>
         </complexContent>
       </complexType>

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected CipherReferenceType` | `cipherReference`
    `protected byte[]` | `cipherValue`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CipherDataType()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `CipherReferenceType` | `getCipherReference()` Gets the value of the cipherReference property.
    `byte[]` | `getCipherValue()` Gets the value of the cipherValue property.
    `void` | `setCipherReference(CipherReferenceType value)` Sets the value of the cipherReference property.
    `void` | `setCipherValue(byte[] value)` Sets the value of the cipherValue property.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### cipherValue

          protected byte[] cipherValue

    - #### cipherReference

          protected CipherReferenceType cipherReference

  - ### Constructor Detail

    - #### CipherDataType

          public CipherDataType()

  - ### Method Detail

    - #### getCipherValue

          public byte[] getCipherValue()

      Gets the value of the cipherValue property.
      Returns:
        possible object is byte[]

    - #### setCipherValue

          public void setCipherValue(byte[] value)

      Sets the value of the cipherValue property.
      Parameters:
        `value` - allowed object is byte[]

    - #### getCipherReference

          public CipherReferenceType getCipherReference()

      Gets the value of the cipherReference property.
      Returns:
        possible object is `CipherReferenceType`

    - #### setCipherReference

          public void setCipherReference(CipherReferenceType value)

      Sets the value of the cipherReference property.
      Parameters:
        `value` - allowed object is `CipherReferenceType`

Copyright © 2020 JBoss by Red Hat. All rights reserved.